## util-linux-2.12r.tar.bz2

=== getopt/Makefile ===
.SUFFIXES:

include ../make_include
include ../MCONFIG

GETOPTDIR=$(USRSHAREMISCDIR)/getopt

# Define this to 0 to use the getopt(3) routines in this package.
LIBCGETOPT=1

SHELL=/bin/sh

LD=ld
RM=rm -f
INSTALL=install

CPPFLAGS=-DLIBCGETOPT=$(LIBCGETOPT)
ifeq ($(LIBCGETOPT),0)
CPPFLAGS+=-I./gnu
endif

# -Wcast-align causes problems with the identifier stderr on alpha's
# with an old glibc.
# -Wbad-function-cast and -Wmissing-declarations are unknown for gcc 2.5.8.
WARNINGS=-Wall \
         -W -Wshadow -Wpointer-arith -Wcast-qual \
         -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
         -Wnested-externs -Winline
# CFLAGS= $(WARNINGS) $(OPT)

SOURCES=getopt.c
ifeq ($(LIBCGETOPT),0)
SOURCES+=gnu/getopt.c gnu/getopt1.c
endif

OBJECTS=$(SOURCES:.c=.o)

BINARIES=getopt

.PHONY: all clean realclean 
all: $(BINARIES)

clean:
	-$(RM) $(OBJECTS) $(BINARIES) 

getopt: $(OBJECTS)
	$(CC) $(LDFLAGS) $< -o $@

install: getopt
	$(INSTALLDIR) $(USRBINDIR) $(MAN1DIR) $(GETOPTDIR)
	$(INSTALLBIN) getopt $(USRBINDIR)
	$(INSTALLMAN) getopt.1 $(MAN1DIR)
	$(INSTALLBIN) getopt-parse.bash getopt-parse.tcsh \
	              getopt-test.bash getopt-test.tcsh $(GETOPTDIR)

=== debian/changelog ===
util-linux (2.12r-19) unstable; urgency=low

  * mips/mipsel buildds use sudo.  Fix install target so that mount.deb
    builds.  Closes: #411893

 -- LaMont Jones <lamont@debian.org>  Wed, 21 Feb 2007 10:39:26 -0700

util-linux (2.12r-18) unstable; urgency=low

  * Stop printing erroneous "rpc.idmapd appears to not be running" message.
    Files: 30nfs4.dpatch. Closes: #385879

 -- LaMont Jones <lamont@debian.org>  Mon,  5 Feb 2007 13:47:10 -0700

util-linux (2.12r-17) unstable; urgency=low

  * Userspace software suspend fix.  Closes: #409365
  * armel support.  Closes: #408816

 -- LaMont Jones <lamont@debian.org>  Fri,  2 Feb 2007 11:08:04 -0700

util-linux (2.12r-16) unstable; urgency=low

  * actually apply 30swsusp-resume.  And support userspace sw susp too.
    Closes: #406204
  * Fix off-by-one issue in agetty -I.  Closes: #392445
  * Drop extraneous "again" from hwclock.sh and remove references to
    hwclockfirst.sh.  Closes: #396755
  * Drop PAGE_SIZE usage completely, use sysconf(_SC_PAGESIZE).
  * Make intr the default for NFS v2 & v3 mounts in addition to being the
    default for NFS v4.  Thanks to Tollef Fog Heen for the idea.

 -- LaMont Jones <lamont@debian.org>  Wed, 17 Jan 2007 11:57:35 -0700

util-linux (2.12r-15) unstable; urgency=low

  * New amd64 rdev patch.  Closes: #396842

 -- LaMont Jones <lamont@debian.org>  Fri,  3 Nov 2006 20:44:05 -0700

util-linux (2.12r-14) unstable; urgency=low

  * Make that 11 for hwclock.sh, since we need / to be writable for the
    adjfile.

 -- LaMont Jones <lamont@debian.org>  Tue, 31 Oct 2006 15:01:01 -0700

util-linux (2.12r-13) unstable; urgency=low

  * NFS seems to not like 127.0.0.1 as a client ID for everyone.
    Closes: #394941
    - 30nfs4-setclientid.dpatch by Steinar H. Gunderson <sesse@debian.org>
  * Move hwclock.sh to 8 since localtime is now a file, not a symlink.
    Adds Depends: tzdata (>=2006c-2)
    Closes: #342887
  * ship rdev on amd64.  Closes: #297789

 -- LaMont Jones <lamont@debian.org>  Tue, 31 Oct 2006 13:51:50 -0700

util-linux (2.12r-12) unstable; urgency=low

  * drop hwclockfirst.sh, and put hwclock.sh back at 50.  See #50572 and
    Closes: #342887
  * Deal with _syscall5 going away.  Patch imported from Ubuntu.
    Closes: #392236

 -- LaMont Jones <lamont@debian.org>  Thu, 19 Oct 2006 19:01:33 -0600

util-linux (2.12r-11) unstable; urgency=low

  * typos in NFSv4 (GSSDLCK didn't have .pid, and the latest
    nfs-common no longer creates the file at all.) Closes: #376931
    - modified 30nfs4-fix.dpatch

 -- LaMont Jones <lamont@debian.org>  Tue, 19 Sep 2006 09:33:31 -0600

util-linux (2.12r-10) unstable; urgency=low

  * NFSv4 patch fixes for cfs.  Closes: #367049
    Thanks to Trond Myklebust for the quick fix.
    - modified 30nfs4-fix.dpatch

 -- LaMont Jones <lamont@debian.org>  Mon, 15 May 2006 18:12:24 -0600

util-linux (2.12r-9) unstable; urgency=low

  * Release NFSv4 support. Closes: #302420, #239031, #290873
  * Deliver isosize. Closes: #354960
  * Fix udeb dependencies.  Closes: #360352

 -- LaMont Jones <lamont@debian.org>  Sat,  6 May 2006 21:53:12 -0600

util-linux (2.12r-8.2nfs4) experimental; urgency=low

  * Turn on fixed nfsv4 patch.  Closes: #302420, #239031
    Thanks to Steinar H. Gunderson <sgunderson@bigfoot.com>

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Apr 2006 11:04:39 -0600

util-linux (2.12r-8) unstable; urgency=high

  * Drop NFS v4 patch, since it breaks mounting things exported by
    nfs-user-server.  It will be happily reapplied once someone fixes
    the patch.  Closes: #354075.  Reopens: #302420, #239031
    - fix compiler warnings in said patch.
    - Apply nfs4mount.c fix to (dropped) nfsv4 patch.  Closes: #354193

 -- LaMont Jones <lamont@debian.org>  Fri, 24 Feb 2006 10:57:29 -0700

util-linux (2.12r-7) unstable; urgency=low

  * Add nfsv4 patch.  Closes: #302420, #239031

 -- LaMont Jones <lamont@debian.org>  Tue, 21 Feb 2006 11:01:21 -0700

util-linux (2.12r-6) unstable; urgency=low

  * make hwclock even more policy compilant.

 -- LaMont Jones <lamont@debian.org>  Sat, 28 Jan 2006 08:57:45 -0700

util-linux (2.12r-5) unstable; urgency=low

  * make hwclock prettier.  Closes: #348718

 -- LaMont Jones <lamont@debian.org>  Wed, 18 Jan 2006 11:44:06 -0700

util-linux (2.12r-4) unstable; urgency=low

  * Stupid fat-fingers typo.  Closes: #348483

 -- LaMont Jones <lamont@debian.org>  Tue, 17 Jan 2006 07:40:56 -0700

util-linux (2.12r-3) unstable; urgency=low

  * Add ppc64 support.  Closes: #322130
  * Update sections to match the overrides file.
  * hwclockfirst.sh may not exit, since it gets sourced.
    Closes: #343447
  * make the start messages from hwclock{first,}.sh slightly
    different, for clarity.
  * Build sparc binaries on sparc64
  * Actually cleanup pager alternatives.  Closes: #348235
  * Deal better with long passwords.  Based on patch from YAEGASHI Takeshi
    <yaegashi@debian.org>.  Closes: #315660

 -- LaMont Jones <lamont@debian.org>  Mon, 16 Jan 2006 14:35:42 -0700

util-linux (2.12r-2) unstable; urgency=low

  * Add back in dropped cramfs-udebsize patch.

 -- LaMont Jones <lamont@debian.org>  Fri,  9 Dec 2005 12:25:19 -0700

util-linux (2.12r-1) unstable; urgency=low

  * New upstream verison and maintainer.
    - cfdisk: fix a segfault with ReiserFS partitions
    - umount: disallow -r option for non-root users (CAN-2005-2876)
    - sfdisk: document -G option in --help output
    - updated translations: ca, et, fr
    - sfdisk: add -G option (Andries Brouwer)
    - updated translations: de, es, ru, sv, tr, nl
  * split cfdisk into its own udeb.  Closes: #243094, #314368
  * Really move hwclockfirst.sh back to S18 where it belongs.
    Put hwclock.sh at S22.  See #50572.
  * Missing line break in hwclock.sh.  Closes: #337955
  * Include swap-suspend patch from Ubuntu.
  * Fix variable name typo in hwclock.sh.  Closes: #340232
  * Add CPU=$(arch) to make call for building on amd64/i386 mixed systems.
    Closes: #305907


=== debian/control ===
Source: util-linux
Section: base
Priority: required
Build-Depends: libncurses5-dev, libslang2-dev (>=2.0.4-1), gettext, zlib1g-dev, libblkid-dev, uuid-dev, dpatch, dpkg-dev (>=1.13.12)
Maintainer: LaMont Jones <lamont@debian.org>
Standards-Version: 3.7.2.0

Package: util-linux
Architecture: any
Pre-Depends: ${util-linux:Depends}
Section: utils
Priority: required
Essential: yes
Depends: lsb-base (>= 3.0-6), tzdata (>=2006c-2)
Suggests: util-linux-locales, kbd | console-tools, dosfstools
Replaces: miscutils, setterm, fdisk, ${util-linux:Conflicts}
Conflicts: setterm, fdisk, kbd (<< 1.05-3), console-tools (<< 1:0.2.3-21), ${util-linux:Conflicts}
Description: Miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system.  Some of the more
 important utilities included in this package allow you to partition
 your hard disk, view kernel messages, and create new filesystems.

Package: util-linux-locales
Architecture: all
Section: utils
Priority: optional
Depends: util-linux (>= ${Upstream}-0), util-linux (<< ${Upstream}.0-0)
Replaces: util-linux (<< 2.11b)
Description: Locales files for util-linux
 This package contains the internationalization files of for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English.

Package: mount
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 m68k mips mipsel powerpc ppc64 sh s390 sparc sparc64
Essential: yes
Section: admin
Pre-Depends: ${mount:Depends}
Description: Tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Essential: yes
Section: utils
Pre-Depends: ${bsdutils:Depends}
Recommends: bsdmainutils
Description: Basic utilities from 4.4BSD-Lite
 This package contains the bare minimum number of BSD utilities needed
 to boot a Debian system.  You should probably also install
 bsdmainutils to get the remaining standard BSD utilities.
 .
 Included are: logger, renice, replay, script, wall

Package: fdisk-udeb
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 mips mipsel powerpc ppc64 hurd-i386 sparc s390
Priority: extra
Section: debian-installer
Depends: ${fdisk-udeb:Depends}
Description: Partition a hard drive (manual)
 fdisk package

Package: cfdisk-udeb
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 mips mipsel powerpc ppc64 hurd-i386 s390
Priority: extra
Section: debian-installer
Depends: ${cfdisk-udeb:Depends}
Description: Partition a hard drive (cfdisk)
 Cfdisk package

=== debian/rules ===
#! /usr/bin/make -f
include /usr/share/dpatch/dpatch.make

SHELL = bash
PACKAGE = util-linux

ifndef DEB_HOST_ARCH
DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
DEB_HOST_ARCH = $(DEB_BUILD_ARCH)
endif

ifndef DEB_HOST_GNU_SYSTEM
DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

ifndef DEB_HOST_ARCH_OS
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
endif


ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
# Take account of old dpkg-architecture output.
DEB_HOST_GNU_SYSTEM := linux-gnu
endif

export arch = $(DEB_HOST_ARCH)
version := $(shell sed -e '1{;s|^util-linux (\(.*\))\ .*|\1|;q;}' debian/changelog)

fdisk_arch = $(findstring $(arch),alpha i386 powerpc ppc64 arm armeb armel mips mipsel hppa ia64 hurd-i386 amd64 s390)
rdev_arch = $(findstring $(arch),i386 amd64)
sparc = $(findstring $(arch),sparc sparc64)
nohwclock = $(findstring $(arch),s390)

SUBDIRS=po lib getopt disk-utils login-utils misc-utils mount sys-utils text-utils
ifeq ($(arch),$(fdisk_arch))
SUBDIRS += fdisk
endif
ifeq ($(arch),$(sparc))
SUBDIRS += fdisk
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(arch),$(nohwclock))
SUBDIRS += hwclock 
endif
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
util-linux_Conflicts = getty
endif

CFDISK_PO_DIR=cfdisk-po
CFDISK_POT=$(CFDISK_PO_DIR)/cfdisk.pot

build: patch
	$(checkdir)
	./configure
	$(MAKE) all CPU=$(arch) arch=$(arch) SUBDIRS="${SUBDIRS}"
	# $(MAKE) disk-utils/raw - this is done above if linux/raw.h exists
	touch build

clean: unpatch
	$(checkdir)
	rm -f build sys-utils/rdev
	touch make_include
	$(MAKE) distclean
	find . -name '*~' -print0 | xargs -0r rm
	find . -name '*.orig' -print0 | xargs -0r rm
	find . -name '*.rej' -print0 | xargs -0r rm
	rm -rf debian/tmp* debian/files* debian/substvars po/messages
	rm -rf $(CFDISK_PO_DIR)

# Architecture independant stuff

SUIDFILES = debian/tmp-mount/bin/{u,}mount
BINFILES  = sys-utils/arch text-utils/more
UBINFILES = sys-utils/{ipcs,ipcrm,setsid} \
	misc-utils/{namei,setterm,mcookie,whereis,ddate} \
	getopt/getopt text-utils/{rev,line,pg}
SBINFILES = disk-utils/mkswap

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(arch),$(nohwclock))
INITFILES = debian/hwclock.sh
SBINFILES += hwclock/hwclock
endif
BINFILES  += sys-utils/dmesg
SBINFILES += disk-utils/{blockdev,raw,isosize} mount/pivot_root login-utils/agetty
UBINFILES += disk-utils/fdformat
USBINFILES = sys-utils/readprofile disk-utils/elvtune # disk-utils/setfdprm
endif

UBINFILES2= misc-utils/chkdupexe # debian/fdformat # don't strip these

ifeq ($(DEB_HOST_ARCH_OS),linux)
MOUNTBINFILES  = mount/mount mount/umount
MOUNTSBINFILES = mount/swapon mount/losetup
endif

#BSDBINFILES = # misc-utils/kill
BSDUBINFILES = misc-utils/script misc-utils/logger sys-utils/renice \
               login-utils/wall
               # misc-utils/scriptreplay is handled seperately
BSDMAN1FILES = login-utils/wall.1 misc-utils/script.1 \
               misc-utils/logger.1 misc-utils/scriptreplay.1 # misc-utils/kill.1
BSDMAN8FILES = sys-utils/renice.8
BSDDOCFILES = debian/README.script

# Architecture independant docs

MAN1FILES = text-utils/{pg,more,line,rev}.1 misc-utils/{namei.1,mcookie.1} \
            misc-utils/{chkdupexe.1,setterm.1,whereis.1,ddate.1} \
	    sys-utils/arch.1 getopt/getopt.1
MAN8FILES = sys-utils/{ipcrm.8,ipcs.8,setsid.8} disk-utils/mkswap.8
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq ($(arch),$(nohwclock))
MAN8FILES += hwclock/hwclock.8
endif
MAN1FILES += sys-utils/readprofile.1
MAN8FILES += login-utils/agetty.8 disk-utils/{blockdev.8,elvtune.8,isosize.8} \
	     sys-utils/dmesg.8 mount/pivot_root.8 \
	     disk-utils/fdformat.8 disk-utils/raw.8 # disk-utils/setfdprm.8
endif


EXAMPLES = fdisk/sfdisk.examples getopt/getopt-{test,parse}.{ba,tc}sh
ifeq ($(DEB_HOST_ARCH_OS),linux)
EXAMPLES += debian/fstab.example2
endif

INFOFILES = sys-utils/ipc.info
ifeq ($(DEB_HOST_ARCH_OS),linux)
DOCFILES  = login-utils/{README.getty,README.modems-with-agetty,README.poeigl}
ifneq ($(arch),$(nohwclock))
DOCFILES += debian/README.Debian.hwclock
endif
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
MOUNTMAN5FILES = mount/fstab.5 mount/nfs.5
MOUNTMAN8FILES = mount/losetup.8 mount/swapoff.8 mount/umount.8 \
		 mount/mount.8 mount/swapon.8
MOUNTDOCFILES  = mount/README.mount
endif

ifneq ($(arch),$(sparc))
SBINFILES := $(SBINFILES) disk-utils/{{fsck,mkfs}.{minix,cramfs},mkfs}
MAN8FILES := $(MAN8FILES) disk-utils/{{fsck,mkfs}.minix.8,mkfs.8}	# no cramfs man
endif
ifeq ($(arch),$(fdisk_arch))
SBINFILES := $(SBINFILES) fdisk/{cfdisk,fdisk,sfdisk}
MAN8FILES := $(MAN8FILES) fdisk/{cfdisk.8,fdisk.8,sfdisk.8}
DOCFILES  := $(DOCFILES) fdisk/README.{c,}fdisk
ifeq ($(DEB_HOST_ARCH_OS),linux)
USBINFILES:= $(USBINFILES) sys-utils/{tunelp,cytune}
MAN8FILES := $(MAN8FILES) sys-utils/{tunelp.8,cytune.8}
endif
endif
ifeq ($(arch),$(sparc))
SBINFILES := $(SBINFILES) fdisk/fdisk
MAN8FILES := $(MAN8FILES) fdisk/fdisk.8
DOCFILES  := $(DOCFILES) fdisk/README.fdisk
endif
ifeq ($(arch),$(rdev_arch))
USBINFILES:= $(USBINFILES) sys-utils/rdev
MAN8FILES := $(MAN8FILES) sys-utils/{rdev.8,vidmode.8} \
		sys-utils/{ramsize.8,rootflags.8}
endif

install:

binary-indep:	checkroot build binary-arch
	$(checkdir)
	# This assumes non-native, and only one hyphen in the version number.
	dpkg-gencontrol -isp -putil-linux-locales -Pdebian/tmp-util-linux-locales -VUpstream=$$(sed 's/^.*(\(.*\)-.*).*/\1/; q' debian/changelog)
	dpkg --build debian/tmp-util-linux-locales ..

binary-arch:	checkroot build $(INITFILES)
	rm -rf debian/tmp*
	install -d debian/tmp/{DEBIAN,bin,sbin,etc/init.d,usr/{bin,sbin,lib/mime/packages,share/{locale/{ca,cs,da,de,es,et,fi,fr,it,ja,nl,pt_BR,sl,sv,tr}/LC_MESSAGES,man/{man1,man8},info,$(PACKAGE),doc/$(PACKAGE)/examples,lintian/overrides}}}

	install -s $(BINFILES)  debian/tmp/bin
	install -s $(SBINFILES) debian/tmp/sbin
	install -s $(UBINFILES) debian/tmp/usr/bin
	install    $(UBINFILES2) debian/tmp/usr/bin
ifneq ($(USBINFILES),)
	install -s $(USBINFILES) debian/tmp/usr/sbin
ifeq ($(arch),$(rdev_arch))
	ln -s rdev debian/tmp/usr/sbin/ramsize
	ln -s rdev debian/tmp/usr/sbin/vidmode
	ln -s rdev debian/tmp/usr/sbin/rootflags
endif
endif
ifneq ($(INITFILES),)
	install -m 755 $(INITFILES) debian/tmp/etc/init.d
endif
	install -m 644 $(MAN1FILES) debian/tmp/usr/share/man/man1
	install -m 644 $(MAN8FILES) debian/tmp/usr/share/man/man8
	install -m 644 $(INFOFILES) debian/tmp/usr/share/info
	install -m 644 debian/lintian-override debian/tmp/usr/share/lintian/overrides/$(PACKAGE)
	cd po && make install DESTDIR=../debian/tmp
ifneq ($(DOCFILES),)
	install -m 644 $(DOCFILES)  debian/tmp/usr/share/doc/$(PACKAGE)
endif
	install -m 644 $(EXAMPLES)  debian/tmp/usr/share/doc/$(PACKAGE)/examples
ifeq ($(arch),$(findstring $(arch),powerpc ppc64))
	mv -f debian/tmp/sbin/fdisk debian/tmp/sbin/ddisk
	mv -f debian/tmp/usr/share/man/man8/fdisk.8 debian/tmp/usr/share/man/man8/ddisk.8
endif
ifeq ($(DEB_HOST_GNU_SYSTEM),gnu)
	(cd debian/tmp/sbin ; mv mkswap mkswap.linux)
	(cd debian/tmp/usr/share/man/man8 ; mv mkswap.8 mkswap.linux.8)
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
	(cd debian/tmp/sbin ; mv agetty getty)
	(cd debian/tmp/usr/share/man/man8 ; mv agetty.8 getty.8)
ifneq ($(arch), $(nohwclock))
ifneq ($(arch),$(findstring $(arch),powerpc ppc64))
	(cd debian/tmp/usr/share/man/man8 && ln -s hwclock.8.gz clock.8.gz)
endif
endif
	(cd debian/tmp/usr/share/doc/$(PACKAGE) ; mv README.modems-with-agetty README.modems-with-getty )
	perl -pi.bak -e 's/agetty/getty/g' debian/tmp/usr/share/man/man8/getty.8 \
	debian/tmp/usr/share/doc/$(PACKAGE)/README.getty \
	debian/tmp/usr/share/doc/$(PACKAGE)/README.modems-with-getty
	rm `find debian/tmp/usr -name \*.bak`
endif
	install -m 644 debian/changelog \
	  debian/tmp/usr/share/doc/$(PACKAGE)/changelog.Debian
	install -m 644 HISTORY debian/tmp/usr/share/doc/$(PACKAGE)/changelog
	find debian/tmp/usr/share/{info,doc,man} -type f | xargs gzip -9
	install -m 644 debian/mime.$(PACKAGE) debian/tmp/usr/lib/mime/packages/$(PACKAGE)
